Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Slot1< R, P1 > Class Template Reference

Base class template for slots passing one argument of type P1 and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::Slot1< R, P1 >:

List of all members.

## Public Member Functions

- virtual R call (P1 p1) const=0
    Calls the signal handler connected to this slot.
- R operator() (P1 p1) const
    Function operator; Calls call().

## Protected Member Functions

- Slot1 ()
    Constructor.

## Detailed Description

### template<typename R, typename P1>
class Inti::Slot1< R, P1 >

Base class template for slots passing one argument of type P1 and returning a value of type R.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer